# coding: utf-8

# flake8: noqa
"""
    Seller API Analytics

    **The service provides a public API for obtaining analytical data.**  Analytical data in the source is stored for the past year. When selecting a start date earlier than a year ago, an error will be returned, so the maximum number of days in aggregations is 365.  Also, in the data where information about the previous period is provided: 1. In `previousPeriod`, the data is for the same period as in `selectedPeriod`. 2. If the start date of `previousPeriod` is earlier than a year ago from the current date, it will be adjusted as follows:  `previousPeriod.start = current date - 365 days.`  #### Time Zones  IANA format, the current list can be viewed [here](https://nodatime.org/TimeZones). <br> <br> <br>   # noqa: E501

    OpenAPI spec version: 2.18
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

# import models into model package
from analytics.models.create_task_request import CreateTaskRequest
from analytics.models.create_task_response import CreateTaskResponse
from analytics.models.create_task_response_data import CreateTaskResponseData
from analytics.models.error_response import ErrorResponse
from analytics.models.excise_report_request import ExciseReportRequest
from analytics.models.excise_report_response import ExciseReportResponse
from analytics.models.get_tasks_request import GetTasksRequest
from analytics.models.get_tasks_response import GetTasksResponse
from analytics.models.get_tasks_response_bytes_error import GetTasksResponseBytesError
from analytics.models.get_tasks_response_bytes_error_data import GetTasksResponseBytesErrorData
from analytics.models.get_tasks_response_bytes_error_data_tasks import GetTasksResponseBytesErrorDataTasks
from analytics.models.get_tasks_response_data import GetTasksResponseData
from analytics.models.inline_response200 import InlineResponse200
from analytics.models.inline_response200_details import InlineResponse200Details
from analytics.models.models_excise_report_response import ModelsExciseReportResponse
from analytics.models.models_excise_report_response_data import ModelsExciseReportResponseData
from analytics.models.models_excise_report_response_data_inner import ModelsExciseReportResponseDataInner
from analytics.models.nm_report_detail_history_request import NmReportDetailHistoryRequest
from analytics.models.nm_report_detail_history_request_period import NmReportDetailHistoryRequestPeriod
from analytics.models.nm_report_detail_history_response import NmReportDetailHistoryResponse
from analytics.models.nm_report_detail_history_response_data import NmReportDetailHistoryResponseData
from analytics.models.nm_report_detail_history_response_history import NmReportDetailHistoryResponseHistory
from analytics.models.nm_report_detail_request import NmReportDetailRequest
from analytics.models.nm_report_detail_request_order_by import NmReportDetailRequestOrderBy
from analytics.models.nm_report_detail_request_period import NmReportDetailRequestPeriod
from analytics.models.nm_report_detail_response import NmReportDetailResponse
from analytics.models.nm_report_detail_response_additional_errors import NmReportDetailResponseAdditionalErrors
from analytics.models.nm_report_detail_response_data import NmReportDetailResponseData
from analytics.models.nm_report_detail_response_data_cards import NmReportDetailResponseDataCards
from analytics.models.nm_report_detail_response_data_object import NmReportDetailResponseDataObject
from analytics.models.nm_report_detail_response_data_object_period_comparison import NmReportDetailResponseDataObjectPeriodComparison
from analytics.models.nm_report_detail_response_data_object_period_comparison_conversions import NmReportDetailResponseDataObjectPeriodComparisonConversions
from analytics.models.nm_report_detail_response_data_object_previous_period import NmReportDetailResponseDataObjectPreviousPeriod
from analytics.models.nm_report_detail_response_data_object_previous_period_conversions import NmReportDetailResponseDataObjectPreviousPeriodConversions
from analytics.models.nm_report_detail_response_data_object_statistics import NmReportDetailResponseDataObjectStatistics
from analytics.models.nm_report_detail_response_data_object_statistics_selected_period import NmReportDetailResponseDataObjectStatisticsSelectedPeriod
from analytics.models.nm_report_detail_response_data_object_statistics_selected_period_conversions import NmReportDetailResponseDataObjectStatisticsSelectedPeriodConversions
from analytics.models.nm_report_detail_response_data_stocks import NmReportDetailResponseDataStocks
from analytics.models.nm_report_detail_response_data_tags import NmReportDetailResponseDataTags
from analytics.models.nm_report_grouped_history_request import NmReportGroupedHistoryRequest
from analytics.models.nm_report_grouped_history_request_period import NmReportGroupedHistoryRequestPeriod
from analytics.models.nm_report_grouped_history_response import NmReportGroupedHistoryResponse
from analytics.models.nm_report_grouped_history_response_data import NmReportGroupedHistoryResponseData
from analytics.models.nm_report_grouped_history_response_history import NmReportGroupedHistoryResponseHistory
from analytics.models.nm_report_grouped_history_response_object import NmReportGroupedHistoryResponseObject
from analytics.models.nm_report_grouped_history_response_tag import NmReportGroupedHistoryResponseTag
from analytics.models.nm_report_grouped_request import NmReportGroupedRequest
from analytics.models.nm_report_grouped_request_order_by import NmReportGroupedRequestOrderBy
from analytics.models.nm_report_grouped_request_period import NmReportGroupedRequestPeriod
from analytics.models.nm_report_grouped_response import NmReportGroupedResponse
from analytics.models.nm_report_grouped_response_data import NmReportGroupedResponseData
from analytics.models.nm_report_grouped_response_data_groups import NmReportGroupedResponseDataGroups
from analytics.models.nm_report_grouped_response_data_object import NmReportGroupedResponseDataObject
from analytics.models.nm_report_grouped_response_data_period_comparison import NmReportGroupedResponseDataPeriodComparison
from analytics.models.nm_report_grouped_response_data_period_comparison_conversions import NmReportGroupedResponseDataPeriodComparisonConversions
from analytics.models.nm_report_grouped_response_data_statistics import NmReportGroupedResponseDataStatistics
from analytics.models.nm_report_grouped_response_data_statistics_previous_period import NmReportGroupedResponseDataStatisticsPreviousPeriod
from analytics.models.nm_report_grouped_response_data_statistics_previous_period_conversions import NmReportGroupedResponseDataStatisticsPreviousPeriodConversions
from analytics.models.nm_report_grouped_response_data_statistics_selected_period import NmReportGroupedResponseDataStatisticsSelectedPeriod
from analytics.models.nm_report_grouped_response_data_statistics_selected_period_conversions import NmReportGroupedResponseDataStatisticsSelectedPeriodConversions
from analytics.models.one_of_create_task_request import OneOfCreateTaskRequest
from analytics.models.response_body_content_error400 import ResponseBodyContentError400
from analytics.models.response_body_content_error400_additional_errors import ResponseBodyContentError400AdditionalErrors
from analytics.models.response_body_content_error403 import ResponseBodyContentError403
from analytics.models.response_error import ResponseError
from analytics.models.response_paid_storage import ResponsePaidStorage
from analytics.models.response_paid_storage_inner import ResponsePaidStorageInner
